RSAPrivateCrtKeySpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class RSAPrivateCrtKeySpec

    java.lang.Object
      java.security.spec.RSAPrivateKeySpec
          java.security.spec.RSAPrivateCrtKeySpec

All Implemented Interfaces:
  KeySpec

    public class RSAPrivateCrtKeySpec

extends RSAPrivateKeySpec

This class specifies an RSA private key, as defined in the PKCS#1 standard, using the Chinese Remainder Theorem (CRT) information values for efficiency.

Version:
  1.8 00/02/02
Author:
  Jan Luehe
See Also:
  `Key`, `KeyFactory`, `KeySpec`, `PKCS8EncodedKeySpec`, `RSAPrivateKeySpec`, `RSAPublicKeySpec`

Constructor Summary
`RSAPrivateCrtKeySpec(BigInteger modulus, BigInteger publicExponent, BigInteger privateExponent, BigInteger primeP, BigInteger primeQ, BigInteger primeExponentP, BigInteger primeExponentQ, BigInteger crtCoefficient)` Creates a new `RSAPrivateCrtKeySpec` given the modulus, publicExponent, privateExponent, primeP, primeQ, primeExponentP, primeExponentQ, and crtCoefficient as defined in PKCS#1.

Method Summary
`BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
`BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
`BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
`BigInteger` | `getPrimeP()` Returns the primeP.
`BigInteger` | `getPrimeQ()` Returns the primeQ.
`BigInteger` | `getPublicExponent()` Returns the public exponent.

Methods inherited from class java.security.spec.RSAPrivateKeySpec
`getModulus, getPrivateExponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPrivateCrtKeySpec

    public RSAPrivateCrtKeySpec(BigInteger modulus,
                                BigInteger publicExponent,
                                BigInteger privateExponent,
                                BigInteger primeP,
                                BigInteger primeQ,
                                BigInteger primeExponentP,
                                BigInteger primeExponentQ,
                                BigInteger crtCoefficient)

  Creates a new `RSAPrivateCrtKeySpec` given the modulus, publicExponent, privateExponent, primeP, primeQ, primeExponentP, primeExponentQ, and crtCoefficient as defined in PKCS#1.

  Parameters:
    `modulus` - the modulus n
    `publicExponent` - the public exponent e
    `privateExponent` - the private exponent d
    `primeP` - the prime factor p of n
    `primeQ` - the prime factor q of n
    `primeExponentP` - this is d mod (p-1)
    `primeExponentQ` - this is d mod (q-1)
    `crtCoefficient` - the Chinese Remainder Theorem coefficient q-1 mod p

Method Detail

### getPublicExponent

    public BigInteger getPublicExponent()

  Returns the public exponent.

  Returns:
    the public exponent

### getPrimeP

    public BigInteger getPrimeP()

  Returns the primeP.

  Returns:
    the primeP

### getPrimeQ

    public BigInteger getPrimeQ()

  Returns the primeQ.

  Returns:
    the primeQ

### getPrimeExponentP

    public BigInteger getPrimeExponentP()

  Returns the primeExponentP.

  Returns:
    the primeExponentP

### getPrimeExponentQ

    public BigInteger getPrimeExponentQ()

  Returns the primeExponentQ.

  Returns:
    the primeExponentQ

### getCrtCoefficient

    public BigInteger getCrtCoefficient()

  Returns the crtCoefficient.

  Returns:
    the crtCoefficient

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD